package com.inca.npbusi.sales.bms_sa_receive;

import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.CToolbar;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.gui.mde.CMdeModel;
import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JButton;
import javax.swing.JPanel;

public class Bms_sales_receive_master extends CMasterModel {
   public Bms_sales_receive_master(CFrame var1, CMdeModel var2) {
      super(var1, "销售总单", var2);
   }

   public String getTablename() {
      return "bms_sa_doc_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected JPanel createSecondtoolbar() {
      CToolbar var1 = new CToolbar();
      JPanel var2;
      (var2 = new JPanel()).setLayout(new BorderLayout());
      JButton var3;
      (var3 = new JButton("回执确认")).setToolTipText("回执确认");
      var3.setActionCommand("回执确认");
      var3.addActionListener(this.mdemodel);
      var3.setFocusable(false);
      var1.add(var3);
      var1.addSeparator(new Dimension(50, 0));
      (var3 = new JButton("取消回执")).setToolTipText("取消回执");
      var3.setActionCommand("取消回执");
      var3.addActionListener(this.mdemodel);
      var3.setFocusable(false);
      var1.add(var3);
      (var3 = new JButton("切换独立单元")).setToolTipText("切换独立单元");
      var3.setActionCommand("切换独立单元");
      var3.addActionListener(this.mdemodel);
      var3.setFocusable(false);
      var1.add(var3);
      var2.add(var1);
      return var2;
   }

   protected String getOtherWheres() {
      String var1;
      if ((var1 = ((Bms_sales_receive_mde)this.mdemodel).getEntryid()) != null && var1.length() != 0) {
         return " usestatus = 1  and nvl(initflag,0) = 0 and satypeid = 1 and salesid in  (select salesid from bms_sa_dtl_v where  salesid = bms_sa_doc_v.salesid) and entryid = " + var1 + " ";
      } else {
         this.infoMessage("提示", "您当前登录的角色没有指定独立单元，不能操作！");
         return null;
      }
   }

   protected int on_beforemodify(int var1) {
      this.setFocus("salesid");
      return super.on_beforemodify(var1);
   }

   public void on_doubleclick(int var1, int var2) {
      this.setFocus("salesid");
      super.on_doubleclick(var1, var2);
   }

   public String getHovOtherWheres(int var1, String var2) {
      String var3 = ((Bms_sales_receive_mde)this.mdemodel).getEntryid();
      if (var2.equals("agentid")) {
         return " type=2 and (entryid is null or entryid=" + var3 + ")";
      } else {
         return var2.equals("salerid") ? " entryid=" + var3 : super.getHovOtherWheres(var1, var2);
      }
   }
}
